body {
  background-color: #f3f3f3;
  font-family: 'Figtree', sans-serif;
  font-optical-sizing: auto;

  font-style: normal;
}

h1,
h2 {
  font-weight: 700;
}
.navbar-custom {
  background-color: #fff;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  color: #272727;
}
.navbar-custom .navbar-brand {
  color: #242424;
  font-weight: 700;
  font-size: 2rem;
}

.navbar-custom .navbar-nav .nav-link {
  color: #242424;
  font-size: 1.1rem;
  margin-left: 1rem;
}
.navbar-custom .navbar-nav .nav-link:hover {
  color: #272727;
}
.navbar-custom .nav-item.active .nav-link {
  color: #79b3f4;
}

.form-control {
  border-radius: 20px;
}

input:focus {
  border-color: #79b3f4 !important;
  outline: none !important;
}

.card-article {
  border-radius: 20px;
  overflow: hidden;
  position: relative;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1), 0 6px 20px rgba(0, 0, 0, 0.1);
  transition: box-shadow 0.3s ease-in-out;
}

.card {
  border-radius: 20px;
  overflow: hidden;
  position: relative;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1), 0 6px 20px rgba(0, 0, 0, 0.1);
}

.card-article:hover {
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2), 0 12px 40px rgba(0, 0, 0, 0.2);
}

.badge {
  position: absolute;
  top: 10px;
  left: 10px;
  color: white;
  padding: 5px 10px;
  border-radius: 50px;
  font-size: 0.9em;
  font-weight: bold;
  z-index: 10;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1), 0 6px 20px rgba(0, 0, 0, 0.1);
}

.badge-rouge {
  background-color: #ff6347;
}

.badge-vert {
  background-color: #11a118;
}

.badge-jaune {
  background-color: #ffd700;
}

.card-title-article {
  font-size: 1.25rem;
  font-weight: bold;
}

.card-title {
  font-size: 1.5rem;
  font-weight: bold;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  width: auto;
}
.card-text {
  font-size: 0.5rem;
  color: #666;
}

.card-description {
  font-size: 1rem;
  color: #666;
}

.card-footer small {
  color: #999;
}

.card-img-top {
  width: 100%;
  height: 220px;
  object-fit: cover;
}

.card-img-article {
  width: 100%;
  height: auto;
  object-fit: cover;
  margin-bottom: 25px;
  margin-top: 25px;
}

.card-horizontal .card-img {
  width: 100%;
  height: 50vh;
  object-fit: cover;
}
/*style article lu recement*/

.sticky-section {
  position: sticky;
  top: 0;
}

.card.mb-4 {
  margin-bottom: 1.5rem;
}

.card-body.text-center {
  display: flex;
  flex-direction: column;
}

.social-icons a {
  margin: 0 0.5rem;
}

.recent-article {
  display: flex;
  align-items: center;
  margin-bottom: 1rem;
  border-bottom: 1px solid #e0e0e0;
  padding-bottom: 1rem;
}

.recent-article img {
  width: 110px;
  height: 70px;
  object-fit: cover;
  margin-right: 1rem;
  border-radius: 10px;
}

.article-details {
  display: flex;
  flex-direction: column;
}

.article-title {
  font-size: 1rem;
  font-weight: bold;
  margin: 0;
  text-decoration: none;
  color: #000;
}

.article-title:hover {
  text-decoration: underline;
}

.article-author,
.article-date {
  font-size: 0.875rem;
  color: #555;
  margin: 0.25rem 0;
}

/*style hero*/

.hero {
  background-color: #f8f9fa;
  background-image: linear-gradient(
      rgba(37, 37, 37, 0.5),
      rgba(37, 37, 37, 0.5)
    ),
    url('images/pc.jpg');
  background-size: cover;
  background-position: center;
  padding: 100px;
  text-align: center;
  color: #ffffff;
  border-radius: 50px;
  font-weight: 700;
}

.hero-title {
  font-size: 4rem;
  margin-bottom: 20px;
  background: linear-gradient(
    to right top,
    #d16ba5,
    #c777b9,
    #ba83ca,
    #aa8fd8,
    #9a9ae1,
    #8aa7ec,
    #79b3f4,
    #69bff8,
    #52cffe,
    #41dfff,
    #46eefa,
    #5ffbf1
  );
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  font-weight: 1000;
  text-fill-color: transparent;
}

.hero p {
  font-size: 1.2rem;
}
.btn {
  background-color: #79b3f4;
  border-radius: 50px;
  padding: 10px 15px 10px 15px;
  color: #fff;
}

.btn-plus {
  padding: 3px 7px 3px 7px;
  background-color: none;
  font-size: 12px;
  border-radius: 50px;
  border: 1px solid #79b3f4;
  text-decoration: none;
  color: #242424;
  cursor: pointer;
}

.btn-plus:hover {
  background-color: #79b3f4;
  color: #fff;
}
.btn-secondary {
  background-color: #ffffff31;
  padding: 10px 20px 10px 20px;
  border-radius: 50px;
  color: #fff;
  border: none;
  margin-top: 10px;
  font-size: 20px;
}

.btn:focus,
.btn:active {
  box-shadow: none !important;
  outline: none !important;
}

.btn:hover {
  background-color: #666;
  color: #fff;
}

.btn-cafee {
  background: #79b3f4;
  border-radius: 5px;
  color: #fff;
  font-weight: 700;
  margin-left: 10px;
  transition: background-color 0.3s ease-in-out;
  display: inline-flex;
}

.btn-cafee:hover {
  background: #fff;
  color: #242424;
  border: solid 1px #79b3f4;
}

.custom-btn-demo {
  display: inline-block !important;
  padding: 10px 20px !important;
  font-size: 16px !important;
  font-weight: bold !important;
  text-align: center !important;
  color: white !important;
  background-color: #007bff !important;
  text-decoration: none !important;
  border-radius: 5px !important;
  margin-bottom: 10px !important;
  transition: background-color 0.3s ease-in-out !important;
}

.custom-btn-demo:hover {
  background-color: #0056b3 !important;
  color: white !important;
}

.custom-btn-download {
  display: inline-block !important;
  padding: 10px 20px !important;
  font-size: 16px !important;
  font-weight: bold !important;
  text-align: center !important;
  color: white !important;
  background-color: #28a745 !important;
  text-decoration: none !important;
  border-radius: 5px !important;
  transition: background-color 0.3s ease-in-out !important;
}

.custom-btn-download:hover {
  background-color: #1e7e34 !important;
  color: white !important;
}

.btn-cafee i {
  margin-right: 10px;
}

.hero-article {
  padding: 50px;
  text-align: center;
  color: #ffffff;
  border-radius: 20px;
  background-image: linear-gradient(
      rgba(37, 37, 37, 0.5),
      rgba(37, 37, 37, 0.5)
    ),
    url('images/code-exemple.jpg');
  background-size: cover;
  background-position: center;
}
.hero-article h1 {
  font-size: 3rem;
  margin-bottom: 20px;
}
.hero-article p {
  font-size: 1.2rem;
}

.social-icons a {
  margin: 0 10px;
  color: #333;
  font-size: 1.5rem;
}

.card-body a {
  text-decoration: none;
}

.social-icons {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.social-icon {
  font-size: 2rem;
  transition: color 0.3s, transform 0.3s;
}

.social-icon:hover {
  transform: scale(1.2);
  color: #79b3f4;
}

.social-icon {
  font-size: 2rem;
  transition: color 0.3s;
}

.social-icon.tiktok {
  color: #010101;
}

.social-icon.whatsapp {
  color: #25d366;
}

.social-icon.github {
  color: #181717;
}

.social-icon.linkedin {
  color: #0077b5;
}

.social-icon.facebook {
  color: #1877f2;
}

.social-icon.instagram {
  color: #e1306c;
}

.card-item {
  transition: transform 0.3s ease-in-out;
}

.fade-up {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.5s ease, transform 0.5s ease;
}

.fade-up.show {
  opacity: 1;
  transform: translateY(0);
}

pre {
  background: #2d2d2d;
  border: 1px solid #555;
  border-radius: 8px;
  padding: 20px;
  max-height: 400px;
  overflow: auto;
  position: relative;
}

.toolbar {
  border: none;
  color: white;
  cursor: pointer;
  position: absolute;
  top: 10px;
  right: 10px;
  padding: 5px 10px;
  border-radius: 5px;
  font-size: 0.875rem;
  z-index: 10;
}

.sticky-section {
  position: sticky;
  top: 20px;
  z-index: 1000;
}

.card-body h1 {
  font-size: 50px;
  margin-bottom: 50px;
}

@media screen and (max-width: 768px) {
  .card-body {
    padding: 40px 15px 30px 15px !important;
  }

  .card-body h1 {
    font-size: 40px;
    margin-bottom: 30px;
    font-weight: 700;
  }

  .card-body h2 {
    font-size: 20px;
    margin-top: 20px;
    font-weight: 700;
  }

  .hero-article h2 {
    font-size: 15px;
  }
}

h4.card-text {
  margin: 20px 0 20px 0;
  font-weight: 700;
  font-size: 17px;
}

p.card-text {
  font-size: 17px;
}

@media (max-width: 992px) {
  .hero h1 {
    font-size: 2.5rem;
  }

  .hero p {
    font-size: 1rem;
  }

  .hero .btn {
    font-size: 1rem;
    padding: 8px 16px;
  }
}

@media (max-width: 768px) {
  .hero h1 {
    font-size: 2rem;
  }

  .hero p {
    font-size: 0.9rem;
  }

  .hero .btn {
    font-size: 0.9rem;
    padding: 6px 12px;
  }

  footer .container {
    display: flex;
    flex-direction: column;
  }

  footer .container img {
    width: 200px;
    margin-bottom: 20px;
  }
}

@media (max-width: 576px) {
  .hero {
    padding: 40px 0;
    margin: 3vh !important;
  }

  .hero h1 {
    font-size: 2rem;
    margin-bottom: 1rem;
  }

  .hero p {
    font-size: 1rem;
    margin-bottom: 1.5rem;
  }

  .hero .btn {
    font-size: 1rem;
    padding: 8px 16px;
  }
}

.etoile {
  font-size: 10rem;
  margin: 0;
  position: relative;
  z-index: 1;
  background: linear-gradient(
    to right top,
    #d16ba5,
    #c777b9,
    #ba83ca,
    #aa8fd8,
    #9a9ae1,
    #8aa7ec,
    #79b3f4,
    #69bff8,
    #52cffe,
    #41dfff,
    #46eefa,
    #5ffbf1
  );
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
}

@media (max-width: 768px) {
  .etoile {
    font-size: 5rem;
    margin: 0;
  }
  footer {
    margin-top: -10 !important;
  }
}

@media (max-width: 576px) {
  .etoile {
    font-size: 3rem;
    margin-bottom: 25px;
  }
  footer {
    margin-top: 0 !important;
  }
}

footer {
  position: relative;
  z-index: 2;
  margin-top: -35px !important;
}

.social-share {
  text-align: right;
}

.share-section {
  padding: 20px;
  background-color: #f8f9fa;
  border-top: 1px solid #ddd;
  border-radius: 20px;
  margin-top: 20px;
}

.share-section h6 {
  text-align: right;
  margin-bottom: 20px;
}

.btn-r {
  display: inline-block;
  width: 50px;
  height: 50px;
  line-height: 50px;
  font-size: 1.25rem;
  color: #fff;
  text-decoration: none;
  border-radius: 8px;
  margin: 5px;
  transition: background-color 0.3s, transform 0.3s;
  text-align: center;
  vertical-align: middle;
}

.btn-r-twitter {
  background-color: #1da1f2;
}

.btn-r-twitter:hover {
  background-color: #0d95e8;
  transform: scale(1.1);
}

.btn-r-facebook {
  background-color: #4267b2;
}

.btn-r-facebook:hover {
  background-color: #365899;
  transform: scale(1.1);
}

.btn-r-instagram {
  background-color: #e1306c;
}

.btn-r-instagram:hover {
  background-color: #c13584;
  transform: scale(1.1);
}

.btn-r-whatsapp {
  background-color: #25d366;
}

.btn-r-whatsapp:hover {
  background-color: #1ebea5;
  transform: scale(1.1);
}

.btn-r i {
  vertical-align: middle;
}

.btn-r i {
  color: #fff;
  vertical-align: middle;
}

.btn-r:hover i {
  color: #fff;
}
